package ch.fritteli.labyrinth.generator.model;

import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.assertThat;

class DirectionTest {
    @Test
    void invert() {
        assertThat(Direction.TOP.invert()).isEqualTo(Direction.BOTTOM);
        assertThat(Direction.RIGHT.invert()).isEqualTo(Direction.LEFT);
        assertThat(Direction.BOTTOM.invert()).isEqualTo(Direction.TOP);
        assertThat(Direction.LEFT.invert()).isEqualTo(Direction.RIGHT);
    }
}
